<?php !defined('APP_DIR') ? die('acceess not defined') : '';
/**
 * 所有actions基类
 *
 */
class actions_action {
    
    /**
     * tpl模板对象
     *
     * @var object
     */
    public $tpl = null;
    
    /**
     * 公共部分模板
     *
     * @var string
     */
    public $tpl_file = 'template.php';
    
    /**
     * 模板数据
     *
     * @var array
     */
    public $tpl_data = array();
    
    /**
     * 已经登录的用户
     *
     * @var unknown_type
     */
    public $loginuser = array();
    
    /**
     * 城市
     *
     * @var string
     */
    public $city = 'nj';
    
    /**
     * 判断是否缓存页面
     *
     * @var bool
     */
    public $cache_page = false;
    
    /**
     * 页面缓存时间 默认10分钟
     *
     * @var int
     */
    public $cache_page_time = 600;
    
    /**
     * 初始化信息
     *
     */
    public function __construct(){
        $this->loginuser = bm('manager')->loginManager();
        
    }
    
    //show page's html code
    public function show_tpls(){
        //模板中公共变量
        
        $this->tpl= new tpl($this->tpl_file,$this->tpl_data);
        
        if ($this->cache_page) {
            $output = $this->tpl->get_output();
            $this->set_page_cache($output);
            echo $output;
        }else {
            $this->tpl->output();
        }
    }
}